Pterodactyldocs
Application nodes

Update node

Updates the node details

PATCH/api/application/nodes/{node}

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Path Parameters

node*integer

Node ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/application/nodes/1" \  -H "Content-Type: application/json" \  -d '{    "name": "Test Renamed",    "description": "Test",    "location_id": 1,    "fqdn": "pterodactyl.file.properties",    "scheme": "https",    "behind_proxy": false,    "maintenance_mode": false,    "memory": 2048,    "memory_overallocate": 0,    "disk": 5000,    "disk_overallocate": 0,    "upload_size": 100,    "daemon_sftp": 2022,    "daemon_listen": 8080  }'
{  "object": "node",  "attributes": {    "id": 1,    "uuid": "1046d1d1-b8ef-4771-82b1-2b5946d33397",    "public": true,    "name": "Test Renamed",    "description": "Test",    "location_id": 1,    "fqdn": "pterodactyl.file.properties",    "scheme": "https",    "behind_proxy": false,    "maintenance_mode": false,    "memory": 2048,    "memory_overallocate": 0,    "disk": 5000,    "disk_overallocate": 0,    "upload_size": 100,    "daemon_listen": 8080,    "daemon_sftp": 2022,    "daemon_base": "/var/lib/pterodactyl/volumes",    "created_at": "2019-12-22T04:44:51+00:00",    "updated_at": "2020-10-29T01:20:23+00:00",    "mounts": [],    "allocated_resources": {      "memory": 640,      "disk": 700    }  }}